import { Props as Props$1 } from 'react-select';

declare type ICustomTimezone = {
  [key: string]: string
}
declare type ILabelStyle = 'original' | 'altName' | 'abbrev'
interface ITimezoneOption {
  value: string
  label: string
  offset: number
  abbrev?: string
  altName?: string
}
declare type ITimezone = ITimezoneOption | string
interface Props extends Omit<Props$1, 'onChange'> {
  value: ITimezone
  labelStyle?: ILabelStyle
  onChange?: (timezone: ITimezoneOption) => void
  timezones?: ICustomTimezone
}

declare const allTimezones: ICustomTimezone;

declare const TimezoneSelect: ({ value, onBlur, onChange, labelStyle, timezones, ...props }: Props) => JSX.Element;

export { ILabelStyle, ITimezone, ITimezoneOption, Props, allTimezones, TimezoneSelect as default };
